Skip to main content
GET
/
v1
/
voice-agents
/
conversations
/
minimal-list
List call records (minimal)
curl --request GET \
  --url https://api.tryhamsa.com/v1/voice-agents/conversations/minimal-list \
  --header 'Authorization: <api-key>'
{
  "success": true,
  "message": "success",
  "data": {
    "total": 137,
    "filtered": 2,
    "calls": [
      {
        "id": "e01b0877-1849-49f5-b4c2-d789fe603ec8",
        "createdAt": "2025-11-29T13:24:13.221Z",
        "status": "COMPLETED",
        "voiceAgentId": "1df8a0c5-d1c8-44bb-848f-8accf58f32e2",
        "agentName": "Support Agent",
        "duration": 35,
        "channelType": "Telephone",
        "callParams": {
          "machineNumber": "+16592225145",
          "userNumber": "+201095987769"
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Query Parameters

voiceAgentId
string<uuid>

Restrict results to a single voice agent.

Example:

"849e77c6-5cb3-479a-a985-7fab630e2c78"

status
enum<string>[]

One or many JobStatus values. Repeat the parameter for multiple values (e.g. ?status=COMPLETED&status=FAILED).

Available options:
PENDING,
IN_PROGRESS,
COMPLETED,
NO_ANSWER,
FAILED,
FORWARDED,
TERMINATED
Example:
["COMPLETED", "FAILED"]
startTime
integer

Inclusive lower bound on createdAt, as UTC epoch milliseconds.

Example:

1747699200000

endTime
integer

Inclusive upper bound on createdAt, as UTC epoch milliseconds. Must be greater than or equal to startTime when both are provided.

Example:

1747785600000

page
integer
default:1

1-indexed page number.

Required range: x >= 1
Example:

1

perPage
integer
default:100

Number of records per page. Hard-capped at 200.

Required range: 1 <= x <= 200
Example:

100

Response

Successful response

success
boolean
Example:

true

message
string
Example:

"success"

data
object